
void init_ring_buffer(int channel);
void init_all_ring_buffers();
int is_ring_buffer_empty(int channel);
int is_ring_buffer_full(int channel);
int get_ring_buffer_count(int channel);
int write_to_ring_buffer(int channel, int value);
int read_from_ring_buffer(int channel);
void clear_ring_buffer(int channel);
void clear_all_ring_buffers();